#pragma TASS input { n == 10 }
int n;

#pragma TASS abstract continuous (10)
float sqrt(float x);


void main()
{ 
	float t;
	int i;
	
#pragma TASS assume sqrt(5)*sqrt(5)==5;
	
	t=1;
	// n in [1,1000]
	for (i=1; i<=n; i++) {
		t=t*(sqrt(5)-1)/2;
		//t = FPRINT(t);
	} 
	//FPRINT(t);
}
